# Class PlotTask

java.lang.Object
uk.ac.starlink.ttools.plottask.PlotTask

All Implemented Interfaces:
  `uk.ac.starlink.task.Task`

Direct Known Subclasses:
  `TableHistogram, TablePlot2D, TablePlot3D`

public abstract class PlotTask extends Object implements uk.ac.starlink.task.Task
Abstract superclass for tasks which generate plots from table data.

Since:
  22 Apr 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`PlotTask(String purpose, PlotStateFactory stateFactory, TablePlot plot)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.task.Executable`
`createExecutable(uk.ac.starlink.task.Environment env)`
`protected List<uk.ac.starlink.task.Parameter<?>>`
`getParameterList()`
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
`String`
`getPurpose()`
`uk.ac.starlink.task.Parameter<Integer>`
`getXpixParameter()`
Returns the parameter used for setting plot output X dimension.
`uk.ac.starlink.task.Parameter<Integer>`
`getYpixParameter()`
Returns the parameter used for setting plot output Y dimension.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlotTask

public PlotTask(String purpose, PlotStateFactory stateFactory, TablePlot plot)
Constructor.

Parameters:
  `purpose` - short (one-line) task purpose
  `stateFactory` - PlotStateFactory for use with this plot
  `plot` - plot component for use with this plot

## Method Details

### getParameterList

protected List<uk.ac.starlink.task.Parameter<?>> getParameterList()

### getPurpose

public String getPurpose()

Specified by:
  `getPurpose` in interface `uk.ac.starlink.task.Task`

### getParameters

public uk.ac.starlink.task.Parameter<?>[] getParameters()

Specified by:
  `getParameters` in interface `uk.ac.starlink.task.Task`

### getXpixParameter

public uk.ac.starlink.task.Parameter<Integer> getXpixParameter()
Returns the parameter used for setting plot output X dimension.

Returns:
  xpix parameter

### getYpixParameter

public uk.ac.starlink.task.Parameter<Integer> getYpixParameter()
Returns the parameter used for setting plot output Y dimension.

Returns:
  ypix parameter

### createExecutable

public uk.ac.starlink.task.Executable createExecutable(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException

Specified by:
  `createExecutable` in interface `uk.ac.starlink.task.Task`
Throws:
  `uk.ac.starlink.task.TaskException`